PCAN Symbol Editor Documentation

Introduction

Contains an example for creating and editing Symbols files as well as common information.

User Interface Basics

Contains topics about the use of the PCAN Symbol Editor user interface.

Working with Symbols Files

This section explains the different items of a Symbols file.

User Interface Reference

Contains topics about commands, menus, dialog boxes, and input masks of the PCAN Symbol Editor.

Last update: January 27, 2022

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. All rights reserved.


Introduction

Introduction

Welcome to the PCAN Symbol Editor documentation.

With the PCAN Symbol Editor you can create and edit Symbols files that are interpreted by the PCAN-Explorer. Symbols files contain the definitions how CAN message data is interpreted and which symbolic identifiers are shown in the different windows of PCAN-Explorer in their place.

In this section

How do I create a Symbols file?

Explains the creation of a Symbols file with an example.

Contact Information

Contains information about the manufacturer of the this software.

License Regulations

Contains the license regulations regarding this software.

Further sections

User Interface Basics

Contains topics about the use of the PCAN Symbol Editor user interface.

Working with Symbols Files

The different items in a Symbols file are covered in this section.

User Interface Reference

Contains information about input masks and dialog boxes in the PCAN Symbol Editor.

Tip

You can find detailed information about the structure and the contents of a Symbols file in the PCAN-Explorer documentation.


License Regulations

Namings for products in this manual, that are registered trademarks, are not separately marked. Therefore the missing of the ® sign does not implicate, that the naming is a free trade name. Furthermore the used names do not indicate patent rights or anything similar. PEAK-System Technik GmbH makes no representation or warranties with respect to the use of enclosed software or the contents of this manual, and specifically disclaims any express or implied warranties of merchantability or fitness for any particular purpose. Further, PEAK-System Technik GmbH reserves the right to revise this publication and to make changes to its content, at any time, without obligation to notify any person or entity of such revisions or changes.

© 2022 PEAK-System Technik GmbH, Darmstadt, Germany

All rights reserved.

No part of this publication may be reproduced, photocopied, stored on a retrieval system, or transmitted without the express written consent of PEAK-System Technik GmbH.

See also

Contact Information


Contact Information

This software is a product of:

PEAK-System Technik GmbH

Otto-Roehm-Strasse 69

64293 Darmstadt

Germany

Information: | info@peak-system.com
Support: | support@peak-system.com
Web: | www.peak-system.com


Components

Windows Ribbon Framework for Delphi.

Website: https://github.com/Virtual-TreeView/ribbonframework/

Copyright (C) 2015 by Erik van Bilsen, Joachim Marder

All rights reserved.

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright

notice, this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright

notice, this list of conditions and the following disclaimer in the

documentation and/or other materials provided with the distribution.

* Neither the name Erik van Bilsen nor the names of its contributors

may be used to endorse or promote products derived from this

software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND

ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED

WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE

DISCLAIMED. IN NO EVENT SHALL Erik van Bilsen BE LIABLE FOR ANY

DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES

(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;

LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND

ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT

(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS

SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


How do I create a Symbols file?

With the PCAN Symbol Editor you can design complete Symbols files and use them with the PCAN-Explorer. Creating a Symbols file is demonstrated with an example in the following step-by-step instructions.

Tip

You can find the complete Symbols file of the following example here: Example.sym

The following steps are demonstrated:

A: | Creating a new Symbols file
B: | Creating Symbols
C: | Creating Multiplexers
D: | Creating an Enum
E: | Creating Variables
F: | Saving the Symbols file

Start >>


Step A: Creating a New Symbols File

Do the following to create a new Symbols file:
1. | On the Start ribbon tab, in the File group, click on New.
 | - or -
 | In the application menu, select the New command.
2. | From the drop-down list in the New Symbols File dialog box, select the desired Symbols File Format.

Tip

When there's no open file in the program, you can use the Quick Start and select the desired Symbols file format under Create new file in order to create a new Symbols file in this format.

The Item Navigator shows a tree view with empty folders that differ according to the selected Symbols file format.

Symbols File Format 3.1

  • Enums

  • Symbols

  • Message Keys

  • Macro Keys

Symbols File Format 5.0

  • Enums

  • Symbols

  • Virtual Variables

Symbols File Format 6.0

  • Enums

  • Signals

  • Symbols

Note

This example uses the Symbols file format 5.0.

<< Previous | Next step >>


Step B: Creating Symbols

The folders in the Item Navigator tree view do not have sub-entries yet. No Symbols are predefined.

Do the following to add Symbols:
1. | On the Edit ribbon tab, in the Symbols group, click on Add Symbol.
 | - or -
 | In the Item Navigator, right-click on the Symbols folder and select Add Symbol.
2. | Repeat the action in order to add a second Symbol.

After adding the Symbols you should change their names (in this example "SendSymbol" and "ReceiveSymbol") and set their properties.

Do the following to change the name of a Symbol:
1. | In the Item Navigator, click on the desired Symbol entry.
2. | On the Edit ribbon tab, in the Item Navigator group, click on Rename.
 | - or -
 | In the Item Navigator, right-click on the desired Symbol and select Rename.
 | - or -
 | Press the F2 key.
 | - or -
 | Use the Name field on the Symbol properties panel.
3. | Type the new name and confirm with the enter key.
Do the following to set the properties of a Symbol:
1. | In the Item Navigator, select a Symbol item. The Symbol Properties panel appears on the right side.
2. | Now you can make changes to the Symbol's properties in the input mask.

In this example, the properties of the two Symbols that were created before are set as follows:

Field | Symbol "SendSymbol" | Symbol "ReceiveSymbol"
Name | SendSymbol | ReceiveSymbol
CAN-ID | 150h | 100h to 200h*
Type | Standard | Standard
Direction | Send | Receive
Display Mode | On (Standard) | On (Standard)
Data Length | 8 | 8
Paused | No | No
Trace | No | No
Send Period | 0 | 0
Timeout | 0 | 0
Color | Default | Default
Comment | Example SendSymbol 150h | Example ReceiveSymbol 100h - 200h

* To be able to enter this value, you must select "Receive" in the Direction field.

<< Previous | Next step >>


Step C: Creating Multiplexers

In this example, data byte 0 of the ReceiveSymbol message contains a value that identifies the contents of the successive data bytes 1 to 7. This is a so-called Multiplexer. The ReceiveSymbol differentiates between two data sets, so we create two Multiplexers in this step.

Do the following to add Multiplexers:
1. | In the Item Navigator, select the previously defined ReceiveSymbol.
2. | On the Edit ribbon tab, in the Symbols group, click on Add Multiplexer.
 | - or -
 | In the Item Navigator, right-click on the ReceiveSymbol and select Add Multiplexer.
3. | Repeat the action in order to add a second Multiplexer.

Similarly to step B, set the names and properties of the new Multiplexers.

Field | Multiplexer "RcvStringMux" | Multiplexer "RcvEnumMux"
Name | RcvStringMux | RcvEnumMux
Start Bit | 0 | 0
Length | 8 | 8
Display Mode | All (Standard) | All (Standard)
Data Length | 8 | 8
Data Format | Intel | Intel
Paused | No | No
Trace | No | No
Send Period | 0 | 0
Timeout | 0 | 0
Multiplexer Value | A0h | B0h
Color | Default | Default
Comment | Receive String Multiplexer | Receive Enum Multiplexer

<< Previous | Next step >>


Step D: Creating an Enum

You should create an Enum (derived from the term enumeration) before defining Variables for the already existing Symbols and Multiplexers. The Enum can be used by Variables later on. An Enum contains an enumeration of numbers that are associated with a string.

Do the following to create an Enum:
1. | On the Edit ribbon tab, in the Enums group, click on Add Enum.
 | - or -
 | In the Item Navigator, right-click on the Enums folder and select Add Enum.
2. | Rename the new Enum to "ReceiveEnum" (either in the Item Navigator or using the properties on the right).
Do the following to add Enum entries:
1. | Make sure that the previously created ReceiveEnum is selected in the Item Navigator.
2. | On the Edit ribbon tab, in the Enums group, click on Add value.
 | - or -
 | Right-click into the Defined Values field on the right and select Add value.
3. | From the following table, use the first Value and String for the corresponding fields in the Edit Enum Value dialog box.
4. | Confirm with OK.
5. | Repeat the procedure for all other entries from the table.
Value | String
1 | Hello!
15 | This is an example.
45 | It shows how to...
128 | ...handle Enums.

<< Previous | Next step >>


Step E: Creating Variables

Variables stand as placeholders for values which can be reprocessed. In this step you add two Variables to the SendSymbol and one Variable to each of the Multiplexers RcvStringMux and RcvEnumMux.

Do the following to add Variables to the items listed below:
1. | In the Item Navigator, click on the item to be provided with a Variable.
2. | On the Edit ribbon tab, in the Symbols group, click on Add Variable.
 | - or -
 | In the Item Navigator, right-click on the desired item and select Add Variable.
3. | Assign the Name from the following table to the new variable.
4. | Repeat the procedure for each of the listed items.
Item | Variable Name
Symbol SendSymbol | SendVarUnsign
Symbol SendSymbol | SendVarString
Multiplexer RcvStringMux | RcvStringVar
Multiplexer RcvEnumMux | RcvEnumVar
Do the following to set the properties of the created Variables:
1. | In the Item Navigator, click on the entry of the desired Variable.
2. | Use the values from the following table for entering the Variable properties.
Field | Variable "SendVarUnsign" | Variable "SendVarString" | Variable "RcvStringVar" | Variable "RcvEnumVar"
Name | SendVarUnsign | SendVarString | RcvStringVar | RcvEnumVar
Unit |  |  |  |
Data Type | 5 - Unsigned | 3 - String | 3 - String | 7 - Enum
Factor | 1 |  |  | 1
Offset | 0 |  |  | 0
Start Bit | 0 | 8 | 8 | 8
Length | 8 | 56 | 56 | 8
Data Format | Intel | Intel | Intel | Intel
Display Mode | All (Standard) | All (Standard) | All (Standard) | All (Standard)
Comment | Unsigned value to be sent | String to be sent | Multiplexer for receiving a string | Multiplexer for receiving a decimal value
Output Format | Decimal |  |  | Decimal
Minimum | 0 |  |  | 0
Maximum | 255 |  |  | 255
Default Value | 160 |  |  | 0
Enum | <None> |  |  | ReceiveEnum
Trace | No | No | No | No
Standard | No | No | No | No
Custom Decimal Places | No |  |  | No

<< Previous | Next step >>


Step F: Saving the Symbols File

Finally, you should save the newly created and configured Symbols file so that it can be opened with PCAN-Explorer.

Do the following to save the created Symbols file:
1. | On the Start ribbon tab, in the File group, click on Save as.
 | - or -
 | Open the application menu and select Save as.
2. | Enter a file name in the Save as dialog box and confirm with Save.

<< Previous


User Interface Basics

User Interface Basics

This section explains the different main areas of the graphical user interface of PCAN Symbol Editor.

In this section

Application Menu

Describes the application menu (located left to the Start tab).

Ribbon

Describes the ribbon, the central place for commands in the PCAN Symbol Editor.

Quick Start

Describes the Quick Start window of the PCAN Symbol Editor.

Item Navigator

Describes the control center of the PCAN Symbol Editor.

Item Lists

Describes the list of items related to the item that is selected in the Item Navigator.

Overview Panel

Describes the items of the Overview panel.

Symbol Layout

Explains the graphical representation of the Variables of a Symbol or a Multiplexer.

Attribute List

Describes the list that contains advanced element properties.

Status Bar

Describes the information that is provided in this bar.

Further sections

Working with Symbols Files

Contains topics about the use of the PCAN Symbol Editor.

Properties Input Mask

Contains all items that can be edited in the input masks.

User Interface Reference

Contains information about input masks and dialog boxes of the PCAN Symbol Editor.


Application Menu

The application menu is placed on the left of the ribbon bar. It is used to manage Symbols files. Furthermore, it lists the recently opened Symbols files, CANdb files and AUTOSAR files.

See also

User Interface Basics

Commands

Ribbon


Ribbon

The ribbon is the central place for almost all commands that are used in the PCAN Symbol Editor. The commands are grouped according to their functionality by means of tabs.

Start

This tab contains general commands.

Edit

This tab contains the commands for editing Symbols files.

View

This tab contains the commands to influence the program's view.

Note

If the ribbon is not shown, open the menu for the quick access toolbar (left side of the title bar) and uncheck Minimize ribbon. Alternatively, press Ctrl + F1.

See also

User Interface Basics

Commands

Application Menu


Quick Start

After program start, a quick start window is shown in the middle of the main window. Use this window to create new files, to open recently used files, and to directly import CANdb or AUTOSAR files.

Note

The quick start window is only shown if no file is opened in the program.

Create new file

All supported Symbols file formats are listed. By selecting one of those, a new Symbols file is created in that format.

Open recent file

The 10 recently used files are listed. By selecting one of those, the file is opened in the program. The last entry Open file is used to open another file.

External

The following commands can be used to import file without the need to create a Symbols file first:

  • Import CANdb file

  • Import AUTOSAR file

Note

Unlike opening a CANdb or AUTOSAR file directly with all contained Symbols, you can select specific Symbols for import here.

See also

User Interface Basics

Commands

New Symbols file Dialog box

List Recent Files


Item Navigator

The Item Navigator is the control center of the PCAN Symbol Editor. It is a simple tree, which is located in the left area of the program window.

With the Item Navigator, you can create, rename, or delete items in a Symbols file:

Item icon | Item name | Drag-and-drop support | Possible drag-and-drop operations
 | Enum | No | None
 | Signal | Yes | A new assigned Signal is created in the target item (Symbol or Multiplexer).
 | Symbol | Yes | Can be the target of an assigned Signal.
 | Multiplexer | Yes | Can be the target of an assigned Signal.
 | Variable | No | None
 | Assigned Signal | Yes | With pressed Ctrl key, the assigned Signal is copied to the target item (Symbol or Multiplexer). Otherwise, the assigned Signal is moved.
 | Virtual Variable | No | None
 | Message Key | No | None
 | Macro Key | No | None

Tip

Use the context menu of the Item Navigator (right-click) to access available functions and commands.

See also

User Interface Basics

User Interface Reference


Overview Panel

The tab pages that are shown in the Overview panel depend on the item that is selected in the Item Navigator.

The Overview panel can show the following tab pages:

  • Enums / Signals / Symbols / Multiplexers / Variables and Signals / Virtual Variables / Message keys / Macro keys

  • Assigned or used items

  • Symbol Layout

  • Attributes

See also

User Interface Basics

User Interface Reference


Item Lists

Item lists are displayed on tabs in the lower part of the PCAN Symbol Editor window. They help to keep overview of the sub-items that are associated with an item that is selected in the Item Navigator. As an example, when selecting the Enums folder in the Item Navigator, all defined Enums and their contents are listed on the Enums tab.

You can make changes to the values listed in an item list, but not all parameters of the items are listed here. Double-clicking an item in the list opens the Properties Input Mask of the item, where you can edit all the parameters of the item.

The columns in the item lists can be configured via the context menu (right-click).

See also

User Interface Basics

Symbol Layout

Item Navigator

Properties Input Masks

Configure Columns Dialog box


Symbol Layout

A Symbol's layout is shown in the lower panel of the PCAN Symbol Editor on the Layout tab if a Symbol, a Multiplexer, a Variable, or a signal is selected in the Item Navigator. The layout shows one data byte (8 bits) in each row. The number of available rows (bytes) depends on the selected Symbol type.

Row count (Bytes) | Symbol type
8 | Standard and Extended
1785 | J1939 PG
64 | FD Standard and FD Extended

The order of bits within a Variable, a Signal, or a Multiplexer is indicated by an arrow. The most significant bit (msb) is located in the lower byte if the Intel data format is used. If the Motorola data format is selected, the msb is in the higher bit.

With simple drag-and-drop actions, items can be moved within the Symbol's layout. During moving it is indicated if the item can be dropped at the current position. If this is not the case, e.g. bits are overlapping, the affected bits are shown red with crosses.

Note

Overlapping is possible. An affected bit indicates the color of the covered bit in the upper left corner. The stacking of overlapping items can be ordered via their context menu (right-click). When moving items, watch the indicators in order to avoid overlapping. If saving this file containing overlapping items, the affected items are not kept (exception: Symbols file format 3.1).

Double-clicking an item in the Symbol layout opens the editing mask for the item.

The view of the Symbol layout can be customized in the Options dialog box.

Do the following to show the Options dialog box:

On the Start ribbon tab, in the Tools group, click on Options.

- or -

Open the application menu (on the left of the Start tab) and select Options.

See also

User Interface Basics

Item Navigator

Options Dialog Box

Options Command


Attribute List

The Attribute List is displayed on a tab in the lower part of the PCAN Symbol Editor window. It contains advanced Variable or Signal properties. For that reason this list is showing only if a Variable or Signal is selected in the Item Navigator.

The list contains 3 columns.

Name

The name of the attribute is showing here.

Value

Contains the value of the attribute that can also can be changed here, e.g. press the F2 key to start edit.

Description

This column show a description of the corresponding attribute.

See also

User Interface Basics

Overview Panel


Assigned or Used Items

An item that is selected in the Item Navigator has assigned items or uses other items. Those are shown in the lower area of the PCAN Symbol Editor on tabs. For example, if an Enum is selected, all Variables or Signals which use this Enum are shown in the list with their fully qualified names.

All items in this list can be clicked in order to open the corresponding properties as an input mask.

See also

User Interface Basics

User Interface Reference

Enum Properties

Variables Properties

Signal Properties

Assigned Signal Properties


Status Bar

The status bar of the PCAN Symbol Editor is located at the bottom. It can be hidden via the Options dialog box (Application menu > Options > General > Show Status Bar). The bar provides additional information about the following program items:

  • Number of sub-items of an item selected in the Item Navigator

  • Status of the current file, like "Modified" or "Read-only"

  • Complete file name including directory

See also

User Interface Basics

Options Dialog Box


Working with Symbols Files

The different items in a Symbols file are covered in this section. It is shown how you can work with the items in the PCAN Symbol Editor.

In this section

Enums

Enums can be used to represent certain Variable values not numerically but alphanumerically.

Signals

Signals have many similarities with Variables. They only can be used in Symbols files with format 6.0.

Symbols

These are the topmost level of the definitions to be met.

Multiplexers

Multiplexers are specially interpreted bits in the data bytes. Their contents identifies the meaning of the remaining data bytes.

Variables

Variables are the smallest information unit in a CAN message.

Assigned Signals

Assigned Signals are the smallest information unit in a CAN message. They are derived from Signals. Assigned Signals can be used in Symbols files with format 6.0.

Virtual Variables

Virtual Variables are a special kind of Variables, which are available only with the Symbol Format 5.0.

Message Keys

Message Keys allow the transmission of specific CAN messages with a single keystroke.

Macro Keys

Macro Keys allow the transmission of several CAN messages with a single keystroke.

Further sections

User Interface Basics

Contains topics about the use of the user interface of the PCAN Symbol Editor.

User Interface Reference

Contains topics about commands, menus, dialog boxes and input masks of the PCAN Symbol Editor.


Enums

Enums (enumerations, value tables) can be used to represent certain Variable values with alphanumerical character strings. If, at runtime, the raw value of a Variable value matches one of the defined Enum values, its associated character string is displayed instead of the numerical value. Otherwise, the physical value of the Variable is displayed.

Do the following to add an Enum:
1. | On the Edit ribbon tab, click on Add Enum.
 | - or -
 | In the Item Navigator, right-click on the Enums folder and select Add Enum.
2. | Change the Name of the Enum in the corresponding field of the input mask.
3. | Add values to the Enum by clicking on Add Value on the Edit ribbon tab.
 | - or -
 | Add values to the Enum by right-clicking the Defined Values list and selecting Add Value.
4. | In the opened dialog box, enter the value and the assigned string and confirm with OK.
5. | If needed, repeat steps 3 and 4.

See also

Enum Properties Input Mask

User Interface Reference


Signals

In principle, Signals are the same as Variables. However, at creation Signals don't belong to Symbols or Multiplexers; their definition is global. Therefore, Signals don't have properties for the location within a Symbol or Multiplexer.

Note

Signals can only be used in the PCAN Symbol Editor if the format of the Symbols file is 6.0.

A Signal definition consists at least of the following parameters:

  • Name

  • Data Type

  • Length and Data Format

The following optional parameters can be set:

  • SPN

  • Output Format

  • Factor, Offset

  • Physical Unit

  • Default Value

  • Minimum, Maximum

  • Long Name, Comment

  • Enum (value table)

After creating a Signal, it can be added to Symbols and Multiplexers.

Do the following to create a Signal:
1. | On the Edit ribbon tab, click on Add Signal.
 | - or -
 | In the Item Navigator, right-click on the Signals folder and select Add Signal.
2. | Change the Name of the Signal in the corresponding field of the input mask.
3. | Adjust further properties of the Signal in the input mask.

See also

Assigned Signals

Signal Properties

User Interface Reference


Symbols

Symbols are the topmost level of the definitions to be met. They assign a symbolic identifier to one or several CAN ID's. This Symbol is then displayed instead of the hexadecimal CAN ID in the different windows of PCAN-Explorer.

Do the following to add a Symbol:
1. | On the Edit ribbon tab, click on Add Symbol.
 | - or -
 | In the Item Navigator, right-click on the Symbols folder and select Add Symbol.
2. | Change the Name of the Symbol in the corresponding field of the input mask.
3. | Adjust further properties of the Symbol in the input mask.

See also

Symbol Properties

User Interface Reference


Multiplexers

To have different data sets in the data bytes of a Symbol with the same CAN ID, so-called Multiplexers can be defined. Multiplexers are specially interpreted bits in the data bytes. Their contents identifies the meaning of the remaining data bytes.

Multiplexers can have a length of 1 to 64 bits and can be placed anywhere in the data bytes. The bits must be coherent.

Note

To prevent misunderstandings: The concept "Multiplexer" doesn't include the data bytes but only the identification bits.

Do the following to add a Multiplexer:
1. | In the Item Navigator, select the desired Symbol for the Multiplexer.
2. | On the Edit ribbon tab, click on Add Multiplexer.
 | - or -
 | In the Item Navigator, right-click on the Symbol and select Add Multiplexer.
3. | Change the Name of the new Multiplexer (default: "MultiplexerX") in the corresponding field of the input mask.
4. | Adjust further properties of the Multiplexer in the input mask.

See also

Multiplexer Properties Input Mask

User Interface Reference


Variables

Variables are the smallest information unit in a CAN message. Variables describe the information content of single bits or bit groups in the data bytes of a CAN message and transform it to an easily understandable form for the user.

A Variable definition consists at least of the following parameters:

  • Name

  • Data Type

  • Start Bit, Length, and Data Format

The following optional parameters can be set:

  • SPN

  • Output Format

  • Factor, Offset

  • Physical Unit

  • Default Value

  • Minimum, Maximum

  • Long Name, Comment

  • Enum (value table)

Variables can be positioned either directly in a Symbol or in a Multiplexer. However, Variables and Multiplexers cannot be positioned on the Symbol level simultaneously.

Note

In the Symbols File Format 3.1 the maximum number of Variables within a Symbol or Multiplexer is limited to 64.

To add a Variable to a Symbol or a Multiplexer:
1. | In the Item Navigator, select the desired Symbol or Multiplexer.
2. | On the Edit ribbon tab, click on Add Variable.
 | - or -
 | In the Item Navigator, right-click the Symbol or Multiplexer and select Add Variable.
3. | Change the Name of the Variable in the corresponding field of the input mask.
4. | Adjust further properties of the Variable in the input mask.

See also

Variable Properties Input Mask

User Interface Reference


Assigned Signals

Signals that have been added to a Symbol or a Multiplexer are called assigned Signals. An assigned Signal contains the information of the underlying Signal and the information where the Signal is located in the Symbol or Multiplexer.

Note

Assigned Signals can only be used in the PCAN Symbol Editor if in the generic Symbols Properties the format of the Symbol file is set to 6.0.

The definition of an assigned Signal has the following properties:

  • Start Bit

  • Default Value (optional)

The following properties are part of the underlying Signal and cannot be changed in this place:

  • Name

  • Data Type

  • Length and Data Format

  • SPN

  • Output Format

  • Factor, Offset

  • Physical Unit

  • Default Value

  • Minimum, Maximum

  • Long Name, Comment

  • Enum (value table)

Tip

By clicking on a properties link for a Signal, the underlying Signal is opened in the PCAN Symbol Editor.

Do the following to assign a Signal to a Symbol or a Multiplexer:
1. | In the Item Navigator, select the desired Symbol or Multiplexer.
2. | On the Edit ribbon tab, click on Assign Signal.
 | - or -
 | In the Item Navigator, right-click on the Symbol or Multiplexer and select the Assign Signal command.
3. | Select the desired Signal from the shown list and confirm with OK.
4. | Adapt the Assigned Signal Properties input mask.

See also

Signals

Assigned Signal Properties

User Interface Reference


Virtual Variables

Essentials the virtual Variable is the same as the Variable with the difference that this one can be defined without a Symbol or Multiplexer. For this reason it can not change all properties like in the Variable.

Note

Virtual variables are available only if the Symbol Format in the Symbols properties is set to 5.0.

A virtual Variable definition constists at least of the following parameters:

  • Name

  • Date Type

The following optional parameters can be set:

  • Display Format

  • Factor, Offset

  • Physical Unit

  • Default Value

  • Minimum, Maximum

  • Long Name, Comment

  • Enum (value table)

To add a virtual Variable:
1. | On the Edit ribbon tab, click on Add Virtual Variable.
 | - or -
 | In the Item Navigator, right-click on the Virtual Variables folder and select Add Virtual Variable.
2. | Change the Name of the Virtual Variable in the corresponding field of the input mask.
3. | Adjust further properties of the Virtual Variable in the input mask.

See also

Variables

Variable Properties

User Interface Reference


Message Keys

To permit the transmission of certain CAN messages with a single keystroke, single transmit messages can be assigned to function keys [F2] to [F12] (message keys). A Symbol already defined also can be assigned to a function key besides the fundamental CAN message definition (CAN ID, Data Length Code, data) provided that it isn't a receive Symbol.

Note

Aside from message keys a definition of so called macro keys is possible which also make use of the function keys [F2] through [F12]. If a function key is already defined as macro key, the definition as message key isn't possible anymore (and vice versa).

Message Keys are available only, if the Symbol Format in the Symbols properties is set to 3.1.

Do the following to define a message key:
1. | On the Edit ribbon tab, click on Add Message Key.
 | - or -
 | In the Item Navigator, right-click on the Message Keys folder and select Add Message Key.
2. | Adjust the properties of the Message Key in the input mask on the right.

See also

Message Key Properties Input Mask

Macro Keys

User Interface Reference


Macro Keys

For the transmission of several CAN messages at the same time with a single keystroke, macros can be assigned to the function keys [F2] to [F12] (macro keys). Standard macros as well as VBScript macros may be used. Because of the versatility of macros the use of macro keys is not confined to the transmission of CAN messages only.

Note

Aside from macro keys you can also define so called message keys. If a function key is already defined as a message key, the definition as macro key is not possible anymore (and vice versa).

Macro Keys are available only, if the Symbol Format in the Symbols properties is set to 3.1.

Do the following to define a macro key:
1. | On the Edit ribbon tab, click on Add Macro Key.
 | - or -
 | In the Item Navigator, right-click on the Macro Keys folder and select Add Macro Key.
2. | Adjust the properties of the Macro Key in the input mask.

See also

Macro Key Properties Input Mask

Message Keys

User Interface Reference


User Interface Reference

User Interface Reference

This section contains topics about the menu commands, dialog boxes and input masks of the PCAN Symbol Editor.

In this section

Commands

Explains all commands that are available in the PCAN Symbol Editor.

Properties Input Masks

The properties input masks are shown in the right area of the PCAN Symbol Editor window dependent on the item that is selected in the Item Navigator.

Options Dialog Box

The PCAN Symbol Editor environment can be customized, especially the Symbol layout.

Configure Columns Dialog Box

Show or hide columns of items lists.

Edit Variables Dialog Box

Set Variable values of Message Keys.

Edit Enum Value Dialog Box

Edit values and texts of an Enum.

J1939 CAN-ID-Dialog

Allows editing of the CAN ID of Symbols with "J1939 PG" type.

New Symbols File Dialog Box

Select the format version of a new Symbols file.

Search Dialog Box

Allows to search for a text string in the Item Navigator.

Symbols File Format Converter Dialog Box

A Symbols file can be converted to another format version.

Symbols Insight Dialog Box

Allows quick access to defined items in the PCAN Symbol Editor.

Further sections

User Interface Basics

Contains topics about the use of the PCAN Symbol Editor user interface.


Commands

This topic explains all commands that are available in the PCAN Symbol Editor.

Icon | Command | Ribbon |  | Keyboard Shortcut | Description
 |  | Tab | Group |  |
 | About | Start | Help | Not available | Shows an information dialog box with details about the program release of the PCAN Symbol Editor as well as contact addresses.
 | Add Enum | Edit | Enums | Not available | Creates a new Enum.
 | Add Macro Key | Edit | Symbols | Not available | Creates a new Macro Key. Note Can be used only in the Symbols File Format 3.1.
 | Add Message Key | Edit | Symbols | Not available | Creates a new Message Key. Note Can be used only in the Symbols File Format 3.1.
 | Add Multiplexer | Edit | Symbols | Not available | Creates a new Multiplexer for the selected Symbol.
 | Add Signal | Edit | Symbols | Not available | Creates a new Signal. Note Can be used only in the Symbols File Format 6.0.
 | Add Symbol | Edit | Symbols | Not available | Creates a new Symbol.
 | Add Value | Edit | Enums | Ctrl + Ins | Adds a new entry in the allocation list for the Enum.
 | Add Variable | Edit | Symbols | Not available | Creates a new Variable.
 | Add Virtual Variable | Edit | Symbols | Not available | Creates a new Virtual Variable. Note Can be used only in the Symbols File Format 5.0.
 | Assign Signal | Edit | Symbols | Not available | Assigns an existing signal to the selected Symbol or Multiplexer. Note Can be used only in the Symbols File Format 6.0.
 | Ascending Sort by Values | Edit | Enums | Not available | Sorts the entry in the allocation list for the Enum ascending values.
 | Bring to Front | View | Layout | Not available | Brings the selected Layout item to front.
 | Clone | Edit | Item Navigator | Ctrl + F3 | Creates a 1:1 copy of the selected item in the Item Navigator.
 | Close | Start | File | Ctrl + W | Closes the current Symbols file.
 | Configure Columns | View | Columns | Not available | Opens the dialog box to adjust the columns of the item lists.
 | Contents | Start | Help | Not available | Shows the content of this help file.
 | Convert | Start | Tools | Not available | Opens the Symbols File Format Converter.
 | Delete | Edit | Item Navigator | Del | Removes the currently selected item from the Item Navigator.
 | Delete Value | Edit | Enums | Ctrl + Del | Removes the selected entry from the allocation list for the Enum.
 | Descending Sort By Values | Edit | Enums | Not available | Sorts the entry in the allocation list for the Enum descending values.
 | Edit Value | Edit | Enums | Not available | Edits the selected entry from the allocation list of the Enum.
 | Exit |  |  | Alt + F4 | Quits the PCAN Symbol Editor application.
 | Export DBC | Start | External | Ctrl + E | Exports Symbol data into a CANdb network file.
 | Hexadecimal Values | Edit | Enums | Not available | Shows the values of the Enum allocation list in hexadecimal representation.
 | Import ARXML | Start | External | Ctrl + L | Imports Symbol data from a AUTOSAR XML file.
 | Import DBC | Start | External | Ctrl + I | Imports Symbol data from a CANdb network file.
 | Invert Bit Index | View | Layout | Not available | Represents the Bit index of the Layout inverted.
 | New | Start | File | Ctrl + N | Opens the New Symbols File Dialog Box.
 | Move Item Down | Edit | Item Navigator | Ctrl + Up | Moves the selected Item down one position.
 | Move Item Up | Edit | Item Navigator | Ctrl + Down | Moves the selected Item up one position.
 | Obfuscate | Start | Tools | Not available | Obfuscates the currently opened Symbols file and saves it under a new file name.
 | Open | Start | File | Ctrl + O | Opens a Symbols file (*.sym) or a CANdb Network file (*.dbc).
 | Options | Start | Tools | Ctrl + Shift + F11 | Opens the Options Dialog Box.
 | Preview | Start | Print | Not available | Shows the print preview.
 | Print | Start | Print | Ctrl + P | Prints the Symbols file as text.
 | Quick Print | Start | Print | Not available | Prints the currently opened Symbols file directly without printer selection.
 | Refresh | Edit | Item Navigator | F5 | Performs a complete update of the Item Navigator and its entries.
 | Reset Columns | View | Columns | Not available | Resets the shown types in the items list to the default columns.
 | Rename | Edit | Item Navigator | F2 | Renames the item that is selected in the Item Navigator.
 | Save as | Start | File | F12 | Saves the currently opened Symbols file under a new file name. Note Therefore a previous version is not overwritten.
 | Save | Start | File | Ctrl + S | Saves the currently opened Symbols file. Note A previous version is overwritten.
 | Search | Start | Search | Ctrl + F | Opens the Search Dialog Box.
 | Search again |  |  | F3 | Continues the search for the string in the Item Navigator.
 | Search Backward | Start | Search | Not available | Finds the last search term backwards.
 | Search Forward | Start | Search | Not available | Finds the last search term forwards.
 | Send to Back | View | Layout | Not available | Sends the selected Layout item into the background.
 | Setup | Start | Print | Not available | Opens the dialog box to adjust the settings for printing.
 | Sort Alphabetical | Edit | Item Navigator | Not available | If activate, the items are sorted alphabetically in the Item Navigator. Note Considers only Symbols, Multiplexer, Variables and Assigned Signals. All other items are always sorted alphabetically.
 | Symbols Insight | Start | Search | Ctrl + . | Opens the Symbols Insight Dialog Box.


Add Multiplexer Command

Creates a new Multiplexer for the selected Symbol.

Note

This command is only available if either a Symbol or another Multiplexer is selected. If a Multiplexer is created for a Symbol that has no Multiplexer yet, but already has one or more Variables, two Multiplexers will be actually visible. The new and still empty Multiplexer, and one Multiplexer that serves as a parent for the Variables. This one was already there internally, but displaying it was needless.

Icon

Keyboard Shortcut

Not available

Application Menu

Not available

Ribbon Tab

Edit | Symbols | Add Multiplexer

See also

Commands

Multiplexers

Item Navigator


Add Signal Command

Creates a new Signal. It appears in the Item Navigator beneath the Signals folder with the preliminary name SignalX, where X is a consecutive number.

To use a Signal in a Symbol or a Multiplexer, select the corresponding item in the Item Navigator and use the Assign Signal command.

Note

Signals can only be added if the Symbol Format in the Symbols properties is set to 6.0.

Tip

In alternative to the assign command, you can drag and drop a Signal onto a Symbol or a Multiplexer in the Item Navigator.

Icon

Keyboard Shortcut

Not available

Application Menu

Not available

Ribbon Tab

Edit | Symbols | Add Signals

See also

Commands

Assign Signal Command

Signals


Add Symbol Command

Creates a new Symbol. In the Item Navigator it appears as entry under the folder Symbols with the interim name SymbolX.

Tip

Use the command Start > Options > Items to set the defaults for the Type and the Data Length of a new Symbol.

Icon

Keyboard Shortcut

Not available

Application Menu

Not available

Ribbon Tab

Edit | Symbols | Add Symbol

See also

Symbols

Item Navigator

Items, Options Dialog Box


Add Variable Command

Creates a new Variable for the selected Symbol or Multiplexer. In the Item Navigator it appears as entry under the selected Symbol or Multiplexer with the interim name VariableX.

Note

This command is only available if either a Symbol without Multiplexer, a Multiplexer subordinated to the Symbol, or another Variable is selected.

Tip

With the Symbols file format 6.0, you can use Signals as alternative to Variables.

Icon

Keyboard Shortcut

Not available

Application Menu

Not available

Ribbon Tab

Edit | Symbols | Add Variable

See also

Variables

Signals

Item Navigator


Add Virtual Variable Command

Creates a new virtual Variable. In the Item Navigator it appears as entry under the folder Virtual Variables with the interim name VariableX.

Note

Virtual variables can only be added if the Symbol Format in the Symbols properties is set to 5.0.

Icon

Keyboard Shortcut

Not available

Application Menu

Not available

Ribbon Tab

Edit | Symbols | Add Virtual Variable

See also

Variables

Item Navigator


Assign Signal Command

Assigns a global Signal from the Signals main folder to the selected Symbol or Multiplexer.

The Assign Signal dialog box is shown that lists available Signals.

Note

This list does not contain already used Signals, because Signals can only be assigned once within a Symbol or Multiplexer.

Signals can only be added, if the Symbol Format in the Symbols properties is set to 6.0.

Tip

As an alternative to this command, you can drag-and-drop a Signal onto a Symbol or a Multiplexer in the Item Navigator.

Icon

Keyboard Shortcut

Not available

Application Menu

Not available

Ribbon Tab

Edit | Symbols | Assign Signals

Note

The command is located in the drop-down menu Add Signal.

See also

Commands

Add Signal Command

Assigned Signals


Convert Command

Opens the Symbols File Format Converter dialog box in order to convert the Symbols to another Symbols file format.

The needed settings are done in a wizard. This can be canceled at any step.

Tip

At the last step of the wizard, you can decide if the currently loaded Symbols data is overwritten.

Icon

Keyboard Shortcut

Not available

Application Menu

Convert

Ribbon Tab

Start | Tools | Convert

See also

Symbols File Format Converter Dialog Box

Commands


Delete Command

The selected item is deleted from the Item Navigator and the Symbol file.

Note

The main folders, like Enums or Symbols, cannot be deleted.

By deleting a Signal, its assignment to a Symbol or a Multiplexer is also deleted.

Icon

Keyboard Shortcut

Del

Application Menu

Not available

Ribbon Tab

Edit | Item Navigator | Delete

See also

Commands

Item Navigator


Export DBC Command

The command opens a dialog box where Symbols data of the current file can be exported into a CANdb network file (*.dbc).

Tip

In the dialog box, use the F1 key to get corresponding help.

Possible conflicts that may occur during the export are separately indicated before the dialog box is shown.

Note

Can be used only if the CANdb Add-in is installed and registered within PCAN-Explorer 5 or 6.

Icon

Keyboard Shortcut

Ctrl + E

Application Menu

Export DBC

Ribbon Tab

Start | External | Export DBC

See also

Commands

Import DBC Command

Import ARXML Command


Import ARXML Command

The command opens a dialog box where Symbols data from a AUTOSAR XML file (*.arxml) can be imported into the currently opened Symbols file.

Tip

In the dialog box, use the F1 key to get corresponding help.

Possible conflicts with already existing Symbols are indicated by the program after the import.

Icon

Keyboard Shortcut

Ctrl + L

Application Menu

Import | Import ARXML

Ribbon Tab

Start | External | Import ARXML

See also

Commands

Import DBC Command

Export DBC Command


Import DBC Command

The command opens a dialog box where Symbols data from a CANdb network file (*.dbc) can be imported into the currently opened Symbols file.

Tip

In the dialog box, use the F1 key to get corresponding help.

Possible conflicts with already existing Symbols are indicated by the program after the import.

Note

Can be used only, if the CANdb Add-in is installed and registered within PCAN-Explorer 5 or 6.

Icon

Keyboard Shortcut

Ctrl + I

Application Menu

Import | Import DBC

Ribbon Tab

Start | External | Import DBC

See also

Commands

Export DBC Command

Import ARXML Command


New Command

Shows the New Symbols File dialog box in order to select the desired Symbols file format.

First, the current Symbols file in the program is closed.

Tip

If no file is open in the program, you can use the Quick Start and select the desired Symbols file format under Create new file.

Icon

Keyboard Shortcut

Ctrl + N

Application Menu

New

Ribbon Tab

Start | File | New

See also

New Symbols File Dialog Box

Creating a New Symbols File (Tutorial)


Obfuscate Command

Obfuscates the currently opened Symbols file and saves it under a new name. Therefore a previous version is not overwritten. A dialog box for input of path and file name is opened.

When obfuscating only the names and texts, such as comments, are considered.

Note

A Symbols file that was once obfuscated can never again be converted to plain text.

Icon

Keyboard Shortcut

Not available

Application Menu

Obfuscate

Ribbon Tab

Start | Tools | Obfuscate

See also

Commands


Open Command

Shows a dialog box to open a Symbols file (*.sym), a CANdb network file (*.dbc) or a AUTOSAR XML file (*.arxml) from a data carrier.

After selecting a file from this dialog box, the current Symbols file is closed in the program.

Tip

In order to import specific Symbols data from a CANdb network file (*.dbc) or AUTOSAR XML file (*.arxml) into a Symbols file, use the command Start > Import DBC or Import ARXML.

Note

CANdb Network files (*.dbc) can be used only, if the CANdb Add-in is installed and registered within PCAN-Explorer.

This Add-in is available for PCAN-Explorer 5 and 6.

Icon

Keyboard Shortcut

Ctrl + O

Application Menu

Open

Ribbon Tab

Start | File | Open

See also

Commands

Import DBC Command

Import ARXML Command


Options Command

Opens the Options dialog box, where various settings for the PCAN Symbol Editor can be changed.

Icon

Keyboard Shortcut

Ctrl + Shift + F11

Application Menu

Options

Ribbon Tab

Start | Tools | Options

See also

Options Dialog Box

Commands


Print Command

Prints the Symbols file as text. Before, the dialog box for the printer setup provided by Windows is shown. Here you can select other printers beside the default one and customize the settings relevant for printing.

Tip

A Print Preview is available via a separate command.

Icon

Keyboard Shortcut

Ctrl + P

Application Menu

Print | Print

Ribbon Tab

Start | Print | Print

See also

Commands

Print Preview Command


Preview Command

PCAN Symbol Editor Documentation

User Interface Reference

Print Preview Command

Shows a preview in the main window of the Symbols file to be printed in text format.

The Print ribbon tab has the following functions:

Icon | Command | Description
 | Print | Prints the Symbols file as text.
 | Setup | Shows the dialog box for printer setup provided by Windows. Here you can select another printer than the default one and change printer-specific settings.
 | Show Margin | Toggles the margin indicator on the preview screen (dashed lines). You can drag the margin lines with the mouse. The dashed lines are not printed.
 | Show Numbers | Toggles the line number indication.
 | Previous page | Scrolls to the previous page of the print preview.
 | Next page | Scrolls to the next page of the print preview.
 | Whole page | Scales the print preview to show the whole page.
 | Page width | Scales the print preview to show the full width of the page.
 | Zoom in | Enlarges the page preview.
 | Zoom out | Downsizes the page preview.
 | Close the print preview | Closes the print preview without printing.
Icon

Keyboard Shortcut

Not available

Application Menu

Print | Preview

Ribbon Tab

Start | Print | Preview

See also

Commands


Refresh Command

Performs a complete update of the Item Navigator and its entries. The error conditions of all items will be checked and updated.

Note

For big Symbols files, this command can be needed some minutes.

Icon

Keyboard Shortcut

F5

Application Menu

Not available

Ribbon Tab

Edit | Item Navigator | Refresh

See also

Commands

Item Navigator


Rename Command

Renames the item that is selected in the Item Navigator.

Tip

Renaming can also be done via the Properties Input Masks.

You can enter an arbitrary name. However, there are a few requirements depending on the respective item, e.g. the maximum number of characters. Those requirements are described in the help for each properties page.

Note

The main folders like Enums and Symbols cannot be renamed.

Signals in Symbols or Multiplexers can only be renamed in the corresponding Signal definition under the Signals main folder.

Icon

Keyboard Shortcut

F2

Application Menu

Not available

Ribbon Tab

Edit | Item Navigator | Rename

See also

Commands

Item Navigator

Enum Properties

Signal Properties

Symbol Properties

Multiplexer Properties

Variable Properties


Search Again Command

Continues to search the Item Navigator for the text string that has been entered in the Search dialog box. The search direction is the same as before.

Icon

Not available.

Keyboard Shortcut

F3

Application Menu

Not available

Ribbon Tab

Not available

See also

Commands

Item Navigator

Search Dialog Box


Properties Input Masks

The properties input masks are shown in the right area of the PCAN Symbol Editor window. Which mask is shown depends on the type of the item that is selected in the Item Navigator.

Input masks

Enum Properties

Signal Properties

Symbols Properties

Symbol Properties

Multiplexer Properties

Variable Properties

Assigned Signal Properties

Message Key Properties

Macro Key Properties


Enum Properties

The input mask Enum Properties allows you to add, change, or delete entries for the Enum that is selected in the Item Navigator. Additionally, you can create a comment for the selected Enum.

Name

The name of the Enum (maximum 32 characters).

Values

The list of defined entries for the selected Enum. Each of these entries is a combination of a Value, a character String, and an optional comment. The fields of a list entry are edited in the Edit Enum Value dialog box which you can display by double-click on the list entry or by selecting the list entry and then pressing the Enter key.

Bit Mask

Indicates if the enum is defined as a Bit Mask. In the case of Bit Mask enums, only the bits equal to 1 in the individual values are taken into account. All other bits are automatically don't-care.

Note

The Bit Mask can only be used if the format for the current Symbols file is 6.0.

Comment

An arbitrary text can be entered here which serves as brief explanation for the selected Enum.

Tip

The Used items tab below lists all items (Variables or Signals) that contain the selected Enum. By clicking on one of those items, it is opened for editing.

See also

Enums

Assigned or used items


Signal Properties

Name

The name of the Signal (maximum 32 characters).

Unit

A character string representing the physical unit of the Signal (maximum 16 characters).

Data Type

Defines the data type of the Signal. The following data types are available:

Type | Description
Bit | Binary representation of single bits
Char | A byte as an ASCII character
String | ASCII characters
Signed | 2s complement (2-32 bits)
Unsigned | Integer without sign (1-32 bits)
Float | Floating point according to IEEE754 (32 bits)
Double | Floating point value with up to 16 significant digits (64 bits)
Enum | Enumerator (value table). Assignment of strings to one or several signed or unsigned constants.
Raw | Raw data. This type is used for J1939 Signals that have a manufacturer-defined meaning, and which can have a dynamic length of up to 1785 bytes.

Factor, Offset

Transformation of the "raw value" of a Signal into a "physical value".

A raw value is the value of a Signal as it is transmitted over the CAN bus. The physical value is the value of a physical quantity (e.g. air pressure, speed) that is represented by the Signal.

Multiplier for the correction of the Signal value.

  • At reception:

First, the raw value is multiplied with the factor, then the offset is added:
Physical value = (Raw value * factor) + offset

  • At transmission:

First, the offset is subtracted from the entered Signal value and then divided by the factor:
Raw value = (Physical value - offset) / factor

If the "String" or "Raw" data type is selected, factor and offset cannot be set.

Length

The number of bits that the Signal uses in a Symbol or Multiplexer.

Data Format

Indicates the order of bits in the Signal. Choose between Intel and Motorola format.

Output Format

Indicates whether the Signal value is represented in decimal, hexadecimal, or binary format.

If the "Bit", "String", "Float", "Double" or "Raw" data type is selected, the output format cannot be set.

SPN

Defines the SPN (J1939 Suspect Parameter Number) of the Signal.

Long Name

Enter a text here, which is not restricted in length as the Name property.

Comment

A text serving as comment about the Signal.

Minimum, Maximum

Define the smallest and largest physical values that are allowed for the Signal.

If the "Bit", "String" or "Raw" data type is selected, minimum and maximum cannot be set.

Calculate Min-Max

This button re-calculates the value range for the Variable using Factor, Offset, and Bit Length and updates the Minimum and Maximum fields accordingly.

Default Value

Defines the physical start value of the Signal. The range of this value is limited from Minimum to Maximum.

Enum

Allows the selection of an Enum (value table) for the Signal. Enums can be used to represent certain raw values of Signals alphanumerically instead of numerically.

If the "String" or "Raw" data type is selected, no Enum can be assigned.

Trace

Determines if the Tracer of PCAN-Explorer records and displays this Signal and the corresponding CAN message. This setting only has an effect if the Signal is assigned to a Symbol or Multiplexer and if the PCAN-Explorer is configured to record marked Symbols.

Custom Decimal Places

If this option is activated, PCAN-Explorer displays the value of this Signal with the number of fractional digits that is specified in the following Decimal Places field. This setting has precedence over the Custom Decimal Places setting on the Symbols Properties Input Mask. If custom decimal places are defined neither for the Signal nor for all Symbols, the output of the Signal value is determined by PCAN-Explorer. See PCAN-Explorer Options dialog box, on the General page, Float values settings.

Decimal Places

If the Custom Decimal Places option is activated, then the Signal's value is displayed with this number of fractional digits. A Signal displays fixed point values only if:

  • one of data types Float or Double was assigned,

  • a non-integer value was entered either in the Factor or Offset fields.

Tip

The Assigned items tab below lists all items (Variables and Signals) that contain the selected Signal. By clicking on one of those items, it is opened for editing.

See also

Signals

Assigned Signals

Assigned or used items


Symbols Properties

You can use the Symbols properties input mask to enter general information about the Symbols file.

Title

The title of the Symbols file. If you want to change the title of the Symbols file, save it under a different file name.

Symbols File Format:

Defines data format of the Symbols files. Following formats are available:

  • 3.1: Legacy format as of PCAN-Explorer 3.1, can handle Message Keys or Macro Keys.

  • 5.0: Legacy format as of PCAN-Explorer 5, can handle Virtual Variables. Handling of Message Keys or Macro Keys are not available with this format.

  • 6.0: New format as of PCAN-Explorer 6, can handle Signals. Handling of Virtual Variables, Message Keys or Macro Keys are not available with this format.

Decimal Separator

The character that separates the integer and fractional part of a number. Possible values are:

Setting | Meaning
Auto | The decimal separator is defined by the number format set up in Windows. The decimal separator can be modified in the Regional Options Control Panel.
Point | The decimal separator is a point.
Comma | The decimal separator is a comma.

Custom Decimal Places

If this option is activated, PCAN-Explorer displays all floating point Variable values with the number of fractional digits that is specified in the following Decimal Places field. If this option is not activated, the output of Variable values is determined by PCAN-Explorer. See PCAN-Explorer Options dialog box, on the General page, Float values settings.

Decimal Places

If the Custom Decimal Places option is activated, all Variables that have non-integer values are displayed with this number of fractional digits. Variable values are shown as fixed point values, if:

  • the Variable has either the Float or Double data type, or

  • the Variable has a non-integer factor or offset.

Unique Variables

Indicates, whether Variable names must be unique within the whole Symbols file. If this option is activated, a Variable name may not be defined a second time.

CAN ID Mask

Specifies a mask for all CAN IDs in the Symbols file. A mask qualifies, which of the corresponding bits of a CAN ID are 'relevant' or 'don't care'. If PCAN-Explorer determines which Symbol matches a particular message, only those bits of the CAN ID are taken into account that have in the mask at the corresponding bit position a 1.

Example

If the mask is defined as FF00h, only bits 8-15 of a CAN ID are relevant to determine a matching Symbol. A Symbol that was defined with CAN ID 1234h then decodes all messages with CAN IDs in the range 1200h to 12FFh.

This parameter is supported by PCAN-Explorer 5.3.2 or later.

Default Bit Rate Switch

Determines the default setting for the Bit Rate Switch being part of a new Symbol with the type FD Standard or FD Extended.

This option is only available if the Symbols File Format is set to 6.0.

Comment

An optional comment text for the Symbols file.

See also

Working with Symbols Files


Symbol Properties

Name

The name of the Symbol (maximum 32 characters).

CAN ID

CAN identifier of the Symbol. The input format of CAN-ID's is determined by the CAN-ID Number Format setting in the Options dialog box. If the Hexadecimal setting is chosen (the default), then the entered text is interpreted as a hexadecimal value. If the Decimal setting is chosen, the entered text is interpreted as a decimal value.

If a number higher than 2047 (decimal) is entered, the Extended Frame option is activated automatically (see below). On invalid numbers (e.g. invalid characters) the CAN ID is reset to the value 0.

If the Direction property (see below) is set to "Receive", a range of CAN ID's must be indicated.

If Type is set to J1939 PG, a button is shown for editing the CAN ID in the J1939 CAN ID dialog box.

Type

Defines the type of a Symbol (Standard / Extended / J1939 PG / FD Standard / FD Extended). If Extended, FD Extended or J1939 PG are selected, the defined Symbol is in accordance to the CAN specification 2.0B. In this case the CAN ID has a length of 29 bits, otherwise 11 bits.

Note

The Symbol type J1939 PG can be selected only if the J1939 Add-in is installed and registered within PCAN-Explorer. Furthermore, the format of the current Symbols file must be 5.0 or 6.0 in order to use this type.

The types FD Standard and FD Extended can only be used if the format for the current Symbols file is 6.0.

Direction

Indicates the direction where this Symbol is applied. For example, if this is set to "Receive", only incoming CAN messages with the related CAN ID are interpreted but not the ones in the transmit list. "Bi-Directional" is flexible and the default.

Display Mode

Specifies how the Symbol is displayed in the Receive/Transmit window of PCAN-Explorer. Three different settings are possible:

  • Off: The Symbol will not be displayed, it is deactivated.

  • On: The Symbol will be displayed.

This property can only be accessed if the Symbol does not contain Multiplexers. If the Symbol contains Multiplexers, the display mode is controlled by the Multiplexers. See Display Mode field in the Multiplexer Properties.

Data Length

Data length of the Symbol (number of Bytes).

This property is not available if the Symbol contains Multiplexers. In this case the data length must be set for each Multiplexer individually.

Valid for all Data Lengths

This check box indicates if the Symbol is valid for all Data length.

This property is not available if the Symbol contains Multiplexers.

Trace

If the PCAN-Explorer Tracer is configured to trace only Marked Symbols, checking this field will trace the Symbol and all of its Variables.

Comment

Comment about the Symbol (character string).

Send Period

Sets the period for repeated transmission of the Symbol (milliseconds). A value of zero deactivates this function. The Paused check box controls if the cyclic transmission of this Symbol is initially paused.

This property is not available if the Symbol contains Multiplexers. In this case the transmission period must be set for each Multiplexer individually.

Paused

This check box indicates if the cyclic transmission of this Symbol is initially paused. See also the Send Period field.

Timeout

This value sets the maximum time interval (in milliseconds) that is allowed between two successive Symbol receive events. If the time interval is exceeded, a Timeout will be logged. The number of Timeouts is increased in the reception list of the PCAN-Explorer and the time period is displayed in red. A value of 0 deactivates this function.

This property is not available if the Symbol contains Multiplexers. In this case the Timeout must be configured for each Multiplexer individually.

Min. Interval

Specifies a smallest permitted time interval in which this Symbol must be received, in milliseconds. Symbols File Format 6.0 required.

Color

Defines the color with which the Symbol is shown in PCAN-Explorer.

J1939 Options

This properties are available and visible only if the Symbol Type is set to J1939 PG (only in conjunction with J1939 Add-in).

Multipacket

This check box indicates if the Symbol can contain Variables outside the Data Length.

Valid for all Source Addresses

If this option is enabled, the Source Address part in the CAN ID (bits 0..7) is not used to identify the symbol.

If the option is disabled, additionally to the PGN the Source Address part in the CAN ID is used to identify the symbol, so that the symbol definition is valid only for a single ECU that has a specific address. Other ECUs with different Source Addresses require separate symbol definitions, so that the signals from individual ECUs can be clearly kept apart.

Remarks

If both the options Valid for all Source Addresses and Valid for all Destination Addresses are enabled, only the PGN part in the CAN ID of a J1939 symbol is relevant (bits 16..25 for PDU1 format, bits 8..25 for PDU2 format). If a PGN is received from different ECUs on the bus from different Source Addresses or is sent to different Destination Addresses, the signals contained overwrite each other, since signals exist only once and cannot distinguish between Source and Destination Addresses.

The J1939 priority part in the CAN ID (bits 26..28) is never used to identify a J1939 symbol.

Valid for all Destination Addresses

This option is available only if the Symbol has the PDU1 format.

If this option is enabled, the Destination Address part in the CAN ID of PDU1 messages (bits 8..15) is not used to identify the symbol.

If the option is disabled, additionally to the PGN the Destination Address part in the CAN ID is used to identify the symbol, so that the symbol definition is valid only for a message that is directed to a specific address. See also the remarks on Valid for all Source Addresses option.

A message has the PDU1 format, if the value in bits 16..23 of the CAN ID is smaller than 240 (F0h), e.g. as in PGN EF00h. If the value is in the range 240..255, the message has the PDU2 format. PDU2 messages are always transmitted as broadcast, they do not contain a destination address.

Valid for all Priorities

If enabled, the priority that is embedded in the CAN ID is not considered for the identification of the Symbol.

FD Options

These options are available only if the Symbol type is set to FD Standard or FD Extended.

Bit Rate Switch

If enabled, the data bytes of a CAN FD frame related to this symbol are transmitted with the separate data bitrate.

The default setting for this switch in a new Symbol definition is determined in the generic Symbols Properties.

See also

Symbols

Symbols Properties


Multiplexer Properties

Name

The name of the Multiplexer (maximum 32 characters).

Start Bit

Start position (bit) within the Symbol.

Length

Length of the Multiplexer (bits).

Note

The start position and length of every Multiplexer of a Symbol must be identical. Changes to the start position or length always affects all Multiplexers in the Symbol.

Data Format

Indicates the order of bits in the Multiplexer. The Intel and the Motorola format are available.

Note: Every Multiplexer of a Symbol must be defined with the same format declaration. Changing the format declaration always affects all Multiplexers of the Symbol.

Display Mode

Specifies how the Multiplexer is displayed in the Receive/Transmit window of PCAN-Explorer. Three different settings are possible:

  • Off: The Multiplexer will not be displayed.

  • Only Value: Only the Multiplexer value is displayed.

  • All (Standard): The name of the Multiplexer will be displayed.

Data Length

Number of bytes of the CAN message's data assigned to this Multiplexer. This value has to be big enough so that at least the bits of the Multiplexer (Multiplexer Length) fit into the data bytes.

Valid for all Data Lengths

This check box indicates if the Multiplexer is valid for all Data length.

Trace

If the PCAN-Explorer Tracer is configured to trace only Marked Symbols, checking this field will trace the Multiplexer and all of its Variables.

Comment

Comment about the Multiplexer (character string).

Multiplexer Value

The Multiplexer is defined with this unique value. None of the other Multiplexers in the same Symbol may have this value.

Example
Initial situation | Symbol1 CAN-ID 100h with Mux1 has the value A0h at start bit 8 length 8
 | Symbol1 CAN-ID 100h with Mux2 has the value F0h at start bit 8 length 8
Received message | 100h 4 00 F0 00 01
Result | Message is interpreted and displayed as Mux2.

Send Period

Indicates the period for repeated transmissions of the Multiplexer (milliseconds). The preset value of zero deactivates this function. See also the Paused check box.

Paused

This check box indicates if the cyclic transmission of this Multiplexer is initially paused. See also the Send Period field.

Timeout

This value sets the maximum time interval (in milliseconds) that is allowed between two successive Multiplexer receive events. If the time interval is exceeded, a time-out will be logged. The number of time-outs is increased in the reception list of the PCAN-Explorer and the time period is displayed in red. A value of zero deactivates this function.

Min. Interval

Specifies a smallest permitted time interval in which this Multiplexer must be received, in milliseconds. Symbols File Format 6.0 required.

Color

Defines the color with which the Multiplexer is shown in PCAN-Explorer.

See also

Multiplexer


Variable Properties

Name

The name of the Variable (maximum 32 characters).

Unit

A character string representing the physical unit of the Variable (maximum 16 characters).

Data Type

Defines the data type of the Variable. The following data types are available:

Type | Description
Bit | Binary representation of single bits
Char | A byte as an ASCII character
String | ASCII characters
Signed | 2s complement (2-32 bits)
Unsigned | Integer without sign (1-32 bits)
Float | Floating point according to IEEE754 (32 bits)
Double | Floating point value with up to 16 significant digits (64 bits)
Enum | Enumerator (value table). Assignment of strings to one or several signed or unsigned constants.
Raw | Raw data. This type is used for J1939 variables that have a manufacturer-defined meaning, and which can have a dynamic length of up to 1785 bytes.

Factor, Offset

Transformation of the "raw value" of a Variable into a "physical value".

A raw value is the value of a Variable as it is transmitted over the CAN bus. The physical value is the value of a physical quantity (e.g. air pressure, speed) that is represented by the Variable.

Multiplier for the correction of the Variable value.

  • At reception:

First, the raw value is multiplied with the factor, then the offset is added:
Physical value = (Raw value * factor) + offset

  • At transmission:

First, the offset is subtracted from the entered Variable value and then divided by the factor:
Raw value = (Physical value - offset) / factor

If the "String" or "Raw" data type is selected, factor and offset cannot be set.

Start Bit

The bit position where the Variable starts.

Length

The number of bits that the Variable uses in a Symbol or Multiplexer.

Data Format

Indicates the order of bits in the Variable. Choose between Intel and Motorola format.

Output Format

Indicates whether the Variable value is represented in decimal, hexadecimal, or binary format.

If the "Bit", "String", "Float", "Double" or "Raw" data type is selected, the output format cannot be set.

SPN

Defines the SPN (J1939 Suspect Parameter Number) of the variable.

Long Name

Enter a text here, which is not restricted in length as the Name property.

Comment

A text serving as comment about the Variable.

Display Mode

Indicates how the Variable is displayed in the Receive/Transmit window of PCAN-Explorer. Three different settings are possible:

  • Off: The Variable is not displayed.

  • Only Value: Only the Variable value is displayed.

  • All (Standard): The Variable name and its value is displayed.

Minimum, Maximum

Define the smallest and largest physical values that are allowed for the Variable.

If the "Bit", "String" or "Raw" data type is selected, minimum and maximum cannot be set.

Calculate Min-Max

This button re-calculates the value range for the Variable using Factor, Offset, and Bit Length and updates the Minimum and Maximum fields accordingly.

Default Value

Defines the default value of the Variable.

Enum

Allows the selection of an Enum (value table) for the Variable. Enums can be used to represent certain raw values of Variables alphanumerically instead of numerically.

If the "String" or "Raw" data type is selected, no Enum can be assigned.

Trace

If the PCAN-Explorer Tracer is configured to trace only Marked Symbols, checking this field will trace the Variable and its parent Multiplexer/Symbol.

Standard

If checked, the Variable is displayed in the data column of the PCAN-Explorer Receive List, even if the Variable view is collapsed (if the Multiplexer contains more than one Variable). Only one Variable of a Multiplexer/Symbol can have this attribute.

Custom Decimal Places

If this option is activated, PCAN-Explorer displays the value of this Variable with the number of fractional digits that is specified in the following Decimal Places field. This setting has precedence over the Custom Decimal Places setting on the Symbols Properties Input Mask. If custom decimal places are defined neither for the Variable nor for all Symbols, the output of the Variable value is determined by PCAN-Explorer. See PCAN-Explorer Options dialog box, on the General page, Float values settings.

Decimal Places

If the Custom Decimal Places option is activated, then the Variable's value is displayed with this number of fractional digits. A Variable displays fixed point values only if:

  • one of data types Float or Double was assigned,

  • a non-integer value was entered either in the Factor or Offset fields.

See also

Variables

Enums


Assigned Signal Properties

Start Bit

Determines the start bit position within the data bytes of the Symbol or the Multiplexer.

Default Value

Defines the default value of the Signal. If a default value already has been defined for the underlying Signal, then that value is displayed (gray) and used for the Signal in the Symbol or Multiplexer. By entering a different default value, this is only used for the assigned Signal.

Output Format

Defines the output format of the Signal. By default, the output format of the underlying Signal is selected and used for the Signal in the Symbol or Multiplexer. By changing to a different format, this is only used for the assigned Signal.

The output format cannot be set if the "Bit", "String", "Float", "Double" or "Raw" data type is selected by the underlying Signal.

Comment

An arbitrary comment text about the assigned Signal.

Note

All properties of the underlying Signal are displayed but cannot be changed in this input mask.

See also

Signal Properties

Assigned Signals


Message Key Properties

The input mask Message Key Properties allows you to define function keys that send a single CAN message when pressed.

Function Key

From the drop-down list you can choose a function key related to the definitions below. If all function keys are occupied by messages or macros, the drop-down list is empty.

Raw tab

Using this tab, you can define a new CAN message that will be assigned to the chosen function key.

CAN-ID

The CAN identifier of the message. The input format of CAN-ID's is determined by the CAN-ID Number Format setting in the Options dialog box. If the Hexadecimal setting is chosen (the default), then the entered text is interpreted as a hexadecimal value. If the Decimal setting is chosen, the entered text is interpreted as a decimal value.

If a number higher than 2047 (decimal) is entered, the Extended Frame option is activated automatically (see below). On invalid numbers (e.g. invalid characters) the CAN ID is reset to the value 0.

DLC

The Data Length Code of the CAN message indicates the number of data bytes (maximum 8).

Data (0..7)

The contents of the single data bytes of the CAN message (hexadecimal numbers).

Extended Frame

If this option is activated, the CAN message has a 29-bit ID (Extended Frame). Otherwise, an 11-bit ID is used.

Symbolic tab

As an alternative to the definition of a new CAN message, you can assign an already existing Symbol to a Message Key.

Available Symbols

This drop-down list contains all defined Send Symbols.

Multiplexer

If the previously selected Symbol contains Multiplexers, then these are listed here.

Variables

This button opens the Edit Variables Dialog Box where you can determine values for each Variable of a Symbol or Multiplexer.

RTR

Defines the Message Key as Remote Transmit Request message. In this case, no raw data or Variable data can be entered.

See also

Message Keys

Symbols


Macro Key Properties

The input mask Macro Key Properties allows you to define function keys that start a Macro when pressed.

Function Key

From the drop-down list you can choose an available function key related to the definitions below. If all function keys are occupied by messages or macros, the drop-down list is empty.

Macro Name

Enter the name of a Standard macro or a VBScript macro procedure that you want to assign to the function key.

See also

Macro Keys


Options Dialog Box

Accessible via Start > Options

The Options dialog box allows to customize the PCAN Symbol Editor environment, especially the Symbol layout. It is divided into two parts: a category list on the left side, and a display area on the right. On the individual pages, the options are grouped according to functionality. When you select an entry from the list, its options appear in the display area.

To see documentation for any page in the Options dialog box, go to the page and press F1, or press the Help button.

The Options dialog box can display the following pages:

Page | Description
General | General settings concerning environment.
Layout Display | Settings concerning Symbol layout.
Items | Set the default values that are used for new items.

See also

User Interface Reference


General, Options Dialog Box

Accessible via Start > Options > General

Use the General page of the Options dialog box to configure general settings concerning the user interface and format of numbers.

Environment

Show Status Bar

If this option is activated, a status and information bar is shown at the lower edge of the PCAN Symbol Editor window.

Language

Sets the user language for the application and the online help.

Settings

Display Format of Start Bit Position

Sets the numbering for the Bit start of Multiplexers, Variables and Assigned Signals. You can specify a setting independently for each of the two data formats:

Motorola:

  • Forward LSB: Bit start position is the lsb (last significant bit).

  • Forward MSB (default setting): Bit start position is the msb (most significant bit).

  • Sequential: The Bit start position depends on the sequential Bit index (0 - 63 ; from [Byte 0 Bit 0] to [Byte 7 Bit 7]) in the Symbol Layout.

Intel:

  • Standard (default setting): Bit start position is the msb (most significant bit).

  • Sequential: Bit start position depends on the sequential Bit index (0 - 63 ; from [Byte 0 Bit 0] to [Byte 7 Bit 7]) in the Symbol Layout.

CAN-ID Number Format

Sets the number format for CAN-ID's. You can choose between a decimal or hexadecimal format.

Default Symbols File Format

Sets the Symbols file format that will be used by default selection in the New Symbols file Dialog Box.

See also

Options Dialog Box

New Symbols file Dialog Box


Layout Display, Options Dialog Box

Accessible via Start > Options > Layout Display

Use the Layout Display page of the Options dialog box to configure settings concerning the Symbol layout.

Settings

These settings customize the appearance of the Symbol layout (see the Layout tab on the overview panel, on the lower right area of program window).

Bit Index

Sets the numbering of the Bit indices in the Symbol Layout. You can choose between two different kinds:

  • Standard: Bit indices are indicated standard order (76543210).

  • Invert: Bit indices are indicated in inverted order (01234567).

Show Item Name

If this option is activated, the names of the items are shown in the Symbol Layout.

Auto-size Layout Grid

When this option is activated and the size of the PCAN Symbol Editor window is changed, the Symbol layout's cell size is automatically adjusted. When deactivating this option, the last size of the Symbol layout is kept.

Show Hint

If this option is activated, further information about items are shown in Tooltip windows when the mouse pointer hovers on an item.

Automatic Data Length Correction

If this option is activated, and you move or resize an item so that it exceeds the limit that is set by the Data Length (number of data bytes), the Data Length will be automatically increased.

Colors

Text Color

Defines the color of the item names in the Symbol layout.

Selected Color

Defines the frame color of an item in the Symbol layout when selected with a mouse click.

Items

Colors can be assigned to each of the possible 64 items (Variables or Signals) in a Symbol/Multiplexer that are used to display the item in the Symbol Layout view. The Variables and Signals of the color assignment list are numbered. In the Symbol Layout view, the present or displayed items get the colors in their order from "Variable 1", "Variable 2" etc. If more than 64 items are in a Symbol or Multiplexer, the assignment restarts from the beginning of the list.

The color assignment list also has the following entries:

  • Beyond Data Length: Cells outside the defined data area.

  • Unused: Cells within the defined data area, which are not occupied by Variables.

  • Multiplexer: Multiplexers in the Symbol Layout.

Color

Sets the color for the currently selected item.

Warnings

This field shows a hint if the color for the selected item in the color assignment list is already used by another item. However, this does not have any functional influence on the display of the item in the Symbol Layout.

Reset Colors

Resets all color assignments to their default values.

See also

Options Dialog Box

Symbol Layout


Items, Options Dialog Box

Accessible via Start > Options > Items

The default values for items are set here. These values are used when adding items in the PCAN Symbol Editor.

Defaults

Type of new Symbol

Determines the default type for a new Symbol (see table below).

Data Length of new Symbol

Determines the default data length of a new Symbol. The range depends on the selected Type of new Symbol.

Symbol type | CAN ID | Possible data lengths
Standard | 11-bit | 0 to 8
Extended | 29-bit | 0 to 8
J1939 PG | 29-bit according to SAE J1939 standard | 0 to 1785
FD Standard | 11-bit | 0 to 8, 12, 16, 20, 24, 32, 48, and 64
FD Extended | 29-bit | 0 to 8, 12, 16, 20, 24, 32, 48, and 64

See also

Options Dialog Box


Configure Columns Dialog Box

Accessible via View > Columns > Configure Columns.

Use this dialog box to change the columns that are shown in the item list.

Columns

All available column types. Check those which are to be shown in the items list.

Description

A short description about the selected column type.

Move Up/Down

Changes the order of the columns as they appear in the items list.

See also

Item Lists


Edit Variables Dialog Box

Accessible on the Message Key properties panel (only file format 3.1), and there via the Variables button

This dialog box shows a list of all Variables being part of the selected Symbol or Multiplexer. For each Variable, a value can be entered in the Value column. The Variables' values are then used for the Message Key.

This is an input possibility in alternative to entering hex data for a CAN message.

See also

Message Key Properties


Edit Enum Value Dialog Box

PCAN Symbol Editor Documentation

User Interface Reference

Edit Enum-Value Dialog Box

Accessible if in the Item Navigator an Enum entry is selected, then via Edit > Enums > Add Value or Edit Value

With this dialog box, the value or value range and the assigned string of an Enum value entry can be edited.

Note

A value range can used only in Symbol File Format 6.0.

Value

Determines the Enum value or range (integer number).

To define a value range you have to enter 2 values (minimum and maximum). The second value is optionally and can be empty.

The values must be within the permitted range from -2147483648 to 2147483647 (32-bit signed integer). If hexadecimal values are specified, they must be in the range from 0 to FFFFFFFFh (32-bit).

String

Determines the string to be assigned to the Enum value

Comment

Determines an optional comment text for the Enum value.

See also

Enum Properties


J1939 CAN ID Dialog Box

Accessible in the Symbol properties panel if Type is set to J1939 PG, then via the button right to the CAN ID field

The J1939 CAN ID dialog allows the exact adjustment of a CAN ID which is defined in a symbol of type J1939 PG.

Hexadecimal values

This option decides, whether the values of this dialog are shown in decimal or hexadecimal representation. With this option activated, hexadecimal representation is selected.

PGN

This input field allows setting of the PGN (Parameter Group Number).

For messages in PDU1 format, the lower byte is holding the destination address. E.g. entering the PGN 1AFBh, the lower byte (FBh) is extracted and displayed as destination address. After that, the PGN field contains 1A00h, while the drop-down list Destination Address contains the entry FBh.

A message has the PDU1 format, if the value in bits 16..23 of the CAN ID is smaller than 240 (F0h), e.g. as in PGN EF00h. If the value is in the range 240..255, the message has the PDU2 format. PDU2 messages are always transmitted as broadcast, they do not contain a destination address.

Priority

Defines the priority of the CAN message. Valid entries are 0 to 7.

Source

With the drop-down list the source address of the CAN message is set. Valid entries are 00h - FDh or "Null".

Destination

With the drop-down list the destination address of the CAN message is set. Valid entries are 00h - FDh, "Global" or "Null".

See also:

Symbol Properties


New Symbols File Dialog Box

Accessible via the Start > File > New

Select the Symbols file format for a new Symbols file from the drop-down list. The following formats are available: 3.1, 5.0, 6.0. The text area below describes the features of the selected format.

See also

Symbols Properties


Search Dialog Box

Accessible via Start > Search > Search

The Search dialog box allows you to search in the PCAN Symbol Editor for a text string. If an item is found that matches the entered text with the selected search options, it is selected in the Item Browser.

Text to Find

Reuse one of the previously entered search strings from the drop-down list, or type a new text string to find.

Location

This option allows to define the search scope within PCAN Symbol Editor:

in Item Navigator

With this option selected, the Item Navigator and all related entries are searched for the text.

in Objects

With this option selected, single objects may be included in or excluded from the text search. Objects (of the Item Navigator) containing the text become highlighted. Following objects can be selected:

Objects | Symbols File Format | Description
Enums | 3.1, 5.0 und 6.0 | Properties of all Enums are searched.
Signals | 6.0 | Properties of all Signals are searched.
Symbols | 3.1, 5.0 und 6.0 | Properties of all Symbols are searched.
Multiplexer | 3.1, 5.0 und 6.0 | Properties of all Multiplexers are searched.
Variables | 3.1, 5.0 und 6.0 | Properties of all Variables are searched.
Assigned Signals | 6.0 | Properties of all Assigned Signals are searched.
Virtual Variables | 5.0 | Properties of all Virtual Variables are searched.
Message Keys | 3.1 | Properties of all Message Keys are searched.
Macro Keys | 3.1 | Properties of all Macro Keys are searched.

Options

Provides additional options to control the search.

Case Sensitive

If this option is activated, the search is performed case-sensitive. For example, a search for "MyObject" with Case Sensitive selected will find "MyObject" but not "myobject" or "MYOBJECT".

Whole Words Only

If this option is activated, the search only finds strings that are matched in complete words. For example, a search for "MyObject" will find "MyObject" but not "_MyObject" or "MyObject1".

Direction

Specifies the direction, in which the search is performed in the Item Navigator:

  • Forward: Items are searched from top to bottom.

  • Backward: Items are searched from bottom to top.

Origin

Specifies the origin of the search:

  • From Selection: The search begins from the selected item.

  • Entire Scope: The whole Item Navigator is searched. If the Forward direction is selected, the search begins at the first item in the tree. If the Backward direction is selected, the search begins at the last item in the tree.

See also

Symbols Insight Dialog Box


Symbols File Format Converter Dialog Box

Accessible via Start > Tools > Convert

This dialog box allows the conversion of Symbols data between different Symbols file formats. The user is guided by a wizard.

Start

The Target Format must differ from the Current Format in order to continue with the next step.

Settings

The options differ according to the formats.

Tip

When hovering over an option with the mouse, a short description is shown in the panel below.

Progress

This step show progress information during the conversion.

Conflicts

This step is only shown if conflicts have occurred during conversion. The listed conflicts can be corrected in the Value column.

With Ignore existing conflicts this editing step can be skipped, in order to take care of them later.

Finish

This final step is used either for overwriting the current Symbols data in the PCAN Symbol Editor or for saving the converted symbols into a new Symbols file.

Note

If saving to a new Symbols file and conflicts were ignored before, data can get lost.

See also

Symbols


Symbols Insight Dialog Box

Accessible via Start > Search > Symbols Insight

The dialog box allows a quick access to items. The item list is categorized. Furthermore, a full text search is available.

Double-clicking an item closes the dialog box and opens the properties panel for that item. If a command is selected, it is executed. Files are opened in the PCAN Symbol Editor.

Search field

Entering a text filters all items and categories according to the references. Filtered items are already updated during typing. The search term is marked in the found items.

The up and down arrow keys can be used to browse through the search results. Cancel filtering with the Esc key.

Categories

The following categories are available in this dialog box.

Message Keys

Lists all function keys, including the name of the used Symbols that are currently assigned to the message keys.

Enums

Lists all available Enums of the current file.

Commands

Lists all available Commands, including the keyboard shortcuts and a brief description.

Macro Keys

Lists all function keys that are currently assigned to macro keys.

Multiplexer

Lists the names of all Multiplexers, including the name of the Symbol that holds the Multiplexer.

Signals

Lists the names of all globally defined Signals.

Symbols

Lists all Symbol names.

Variables

Lists the names of all Variables, including the names of the Symbols and Multiplexers that hold those Variables.

Assigned Signals

Lists the names of all Signals, including the names of the Symbols and Multiplexers that hold those Signals.

Virtual Variables

Lists the names of all virtual variables.

Recent Files

Listet the names of recently opened files, including the directory.

See also

Search Dialog Box


About

PCAN Symbol Editor HTML Help

for PCAN Symbol Editor 6.0

Last update: January 27, 2022, 4:06 PM

©2022 PEAK-System Technik GmbH, Darmstadt, Germany
All rights reserved.


Recent Files List

Shows a list of recent files in the Application menu. The maximum count of entries is 8, and they are sorted by opening date. To open any file of this list, simply click on one of these entries.

Menu

Application Menu

See also

Quick Start

Commands